using System.Text.Json.Serialization;

public class B2bAccessToken
{
    public B2bAccessToken(string accessToken, int expiresIn, int refreshExpiresIn, string refreshToken, string tokenType, int notBeforePolicy, string scope, string beId)
    {
        this.accessToken = accessToken;
        this.expiresIn = expiresIn;
        this.refreshExpiresIn = refreshExpiresIn;
        this.refreshToken = refreshToken;
        this.tokenType = tokenType;
        this.notBeforePolicy = notBeforePolicy;
        this.scope = scope;
        this.beId = beId;
    }

    [JsonPropertyName("access_token")]
    public string accessToken { get; set; }
    [JsonPropertyName("expires_in")]
    public int expiresIn { get; set; }
    [JsonPropertyName("refresh_expires_in")]
    public int refreshExpiresIn { get; set; }
    [JsonPropertyName("refresh_token")]
    public string refreshToken { get; set; }
    [JsonPropertyName("token_type")]
    public string tokenType { get; set; }
    [JsonPropertyName("not-before-policy")]
    public int notBeforePolicy { get; set; }
    [JsonPropertyName("scope")]
    public string scope { get; set; }
    [JsonPropertyName("BE_ID")]
    public string beId { get; set; }
}